net.sf.jasperreports.engine.base

## Class JRBasePrintRectangle

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBasePrintElement
  - - net.sf.jasperreports.engine.base.JRBasePrintGraphicElement
    - - net.sf.jasperreports.engine.base.JRBasePrintRectangle

- All Implemented Interfaces:
    java.io.Serializable, JRCommonElement, JRCommonGraphicElement, JRCommonRectangle, JRIdentifiable, JRPenContainer, JRPrintElement, JRPrintGraphicElement, JRPrintRectangle, JRPropertiesHolder, JRStyleContainer

      public class JRBasePrintRectangle
      extends JRBasePrintGraphicElement
      implements JRPrintRectangle

  Version:
    $Id: JRBasePrintRectangle.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Integer` | `radius`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBasePrintGraphicElement

      `fillValue, linePen`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBasePrintElement

      `backcolor, defaultStyleProvider, forecolor, height, key, modeValue, origin, style, uuid, width, x, y`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBasePrintRectangle(JRDefaultStyleProvider defaultStyleProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
    `java.lang.Integer` | `getOwnRadius()`
    `int` | `getRadius()` Indicates the corner radius for rectangles with round corners.
    `void` | `setRadius(int radius)` Sets the corner radius for rectangles with round corners.
    `void` | `setRadius(java.lang.Integer radius)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBasePrintGraphicElement

      `copyPen, getDefaultLineColor, getDefaultLineWidth, getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBasePrintElement

      `getBackcolor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPrintElementId, getPropertiesMap, getSourceElementId, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setKey, setMode, setOrigin, setPrintElementId, setSourceElementId, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement

      `setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### radius

          protected java.lang.Integer radius

  - ### Constructor Detail

    - #### JRBasePrintRectangle

          public JRBasePrintRectangle(JRDefaultStyleProvider defaultStyleProvider)

  - ### Method Detail

    - #### getRadius

          public int getRadius()

      Description copied from interface: `JRCommonRectangle`
      Indicates the corner radius for rectangles with round corners. The default is 0.
      Specified by:
        `getRadius` in interface `JRCommonRectangle`

    - #### getOwnRadius

          public java.lang.Integer getOwnRadius()

      Specified by:
        `getOwnRadius` in interface `JRCommonRectangle`

    - #### setRadius

          public void setRadius(int radius)

      Description copied from interface: `JRCommonRectangle`
      Sets the corner radius for rectangles with round corners.
      Specified by:
        `setRadius` in interface `JRCommonRectangle`
      Specified by:
        `setRadius` in interface `JRPrintRectangle`

    - #### setRadius

          public void setRadius(java.lang.Integer radius)

      Specified by:
        `setRadius` in interface `JRCommonRectangle`
      Specified by:
        `setRadius` in interface `JRPrintRectangle`

    - #### accept

          public <T> void accept(PrintElementVisitor<T> visitor,
                        T arg)

      Description copied from interface: `JRPrintElement`
      Accepts a print element visitor.

      The element calls the method that corresponds to the element type on the visitor.

      Specified by:
        `accept` in interface `JRPrintElement`
      Overrides:
        `accept` in class `JRBasePrintElement`
      Type Parameters:
        `T` - the type of the argument passed to the visit operation
      Parameters:
        `visitor` - the visitor objects
        `arg` - the argument passed to the visit operation

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com